class Schdlr
  class Dispatcher
    include Concurrent::Async

    def dispatch(task_spec)
      _, _, _, task = *task_spec
      worker = YAML.load(task)
      worker.perform
      return task_spec
    rescue => ex
      raise JobFailed.new(task_spec, ex.message)
    end

  end
end